Package com.smartgwt.client.types

# Enum HoverPersistMode

java.lang.Object
java.lang.Enum<HoverPersistMode>
com.smartgwt.client.types.HoverPersistMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<HoverPersistMode>`, `Constable`

public enum HoverPersistMode extends Enum<HoverPersistMode> implements ValueEnum
Customizes how users can interact with hovers.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTOPIN`
  like "clickPin", but the hover is pinned as soon as the user places the cursor over the hover, and needs an outside-click to dismiss
  `CLICKPIN`
  like "underMouse", but if the user clicks in the hover, it is pinned until the user clicks outside of the hover
  `NONE`
  Hover is dismissed as soon as the mouse moves off the target.
  `UNDERMOUSE`
  the user has a brief window to move the cursor over the hover to prevent it from being dismissed, until mouseOut from the hover, allowing interactive hovers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static HoverPersistMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HoverPersistMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final HoverPersistMode NONE
    Hover is dismissed as soon as the mouse moves off the target. This default type of hover cannot offer an interaction because the hover vanishes on mouseOut from the target

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### UNDERMOUSE

    public static final HoverPersistMode UNDERMOUSE
    the user has a brief window to move the cursor over the hover to prevent it from being dismissed, until mouseOut from the hover, allowing interactive hovers. Note, if you want your hover to disappear as soon as something is clicked (like a link, for example), call `Hover.hide()`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "underMouse".

  - ### CLICKPIN

    public static final HoverPersistMode CLICKPIN
    like "underMouse", but if the user clicks in the hover, it is pinned until the user clicks outside of the hover

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "clickPin".

  - ### AUTOPIN

    public static final HoverPersistMode AUTOPIN
    like "clickPin", but the hover is pinned as soon as the user places the cursor over the hover, and needs an outside-click to dismiss

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "autoPin".

- ## Method Details

  - ### values

    public static HoverPersistMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static HoverPersistMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`